﻿<%@ Page Language="C#" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %> 

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Centering RadProgressArea</title>
    
    <style type="text/css" runat="server">
		#<%= RadProgressArea1.ClientID %>
		{
			top: 50% !important;
			left: 50% !important;
		}
    </style>
</head>
<body>
    <form id="form1" runat="server">
		<telerik:RadScriptManager ID="ScriptManager1" runat="server" EnableTheming="True" />
        
        <telerik:RadProgressManager runat="server" ID="RadProgressManager1" EnableEmbeddedBaseStylesheet="False" EnableEmbeddedSkins="False" UniquePageIdentifier="50fb09cf-251b-4610-a362-315e0d9f31d8" />
                
        <telerik:RadUpload
            runat="server" ID="MyLovelyRadUpload"
            TargetFolder="~/Uploads"
            Skin="Vista">
        </telerik:RadUpload>
        
        <asp:Button ID="Button1" runat="server" Text="Upload!" />
        
        <telerik:RadProgressArea runat="server" ID="RadProgressArea1" Skin="Vista" style="position: absolute; margin: -93px 0 0 -188px;" />
        
        <div id="text">
			<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse urna. Nulla facilisi. Sed porttitor elit vitae lacus. In hac habitasse platea dictumst. Nam eros. Maecenas non est sit amet odio vestibulum feugiat. Suspendisse semper. Curabitur in velit ac libero sagittis consectetur. Nulla massa nisi, mattis ut, pulvinar ac, tristique a, est. Nulla facilisi. Nullam nunc. Nulla ante pede, ultrices dictum, iaculis vel, tincidunt eget, felis. Vestibulum imperdiet felis. In hac habitasse platea dictumst.</p>
			<p>Suspendisse a ipsum et tortor faucibus euismod. Nulla ligula. Nulla facilisi. Fusce in augue nec dolor fermentum tempor. Ut diam ligula, vestibulum id, scelerisque eget, ullamcorper vel, nisl. In ipsum turpis, hendrerit id, mattis vel, aliquet id, magna. Morbi et lacus. Nullam felis felis, convallis a, elementum sit amet, aliquam quis, est. Sed massa nisl, mattis eget, egestas sit amet, pretium ut, dolor. Donec nulla. Sed ipsum. Ut ac nulla eu justo lacinia fringilla. Nulla dolor orci, luctus et, tincidunt ut, tincidunt id, justo. Ut risus tortor, scelerisque eget, laoreet non, tincidunt quis, quam.</p>
			<p>Morbi enim orci, volutpat eget, auctor nec, lobortis vitae, mauris. Donec commodo varius diam. Curabitur justo arcu, congue et, rutrum in, congue sed, nisi. Aenean leo dui, ultrices a, vestibulum sit amet, dignissim ut, nisl. Pellentesque consectetur, justo eu sollicitudin scelerisque, ligula ipsum suscipit tellus, et molestie pede libero posuere nunc. Nunc sem urna, consectetur sed, porta sodales, viverra non, dui. Aliquam a justo. Etiam lacus est, lacinia sit amet, consequat ut, consequat nec, risus. Quisque commodo magna eget turpis sagittis dignissim. Nullam mauris.</p>
			<p>Sed ultrices arcu a mauris. Aliquam pharetra, pede a cursus sollicitudin, ipsum ipsum commodo sem, eget fringilla elit eros vel arcu. Nullam felis risus, mattis vel, ullamcorper at, mollis eu, mauris. Cras condimentum hendrerit velit. Vestibulum dui. Cras ut pede sit amet dolor iaculis lobortis. Sed tincidunt, nulla vel dapibus ultrices, urna pede tincidunt ipsum, sit amet porta nulla mi quis nisl. In hac habitasse platea dictumst. Pellentesque vel enim. Donec eget nibh. Quisque quis orci vel elit venenatis sodales. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Curabitur elementum.</p>
			<p>Ut tellus. Ut a nisi. Nulla risus. Fusce interdum mattis nunc. Quisque ligula. Vestibulum at sapien in mauris elementum aliquet. Nullam condimentum nisl in sem. Maecenas bibendum nisi vel nunc. Integer varius pretium sem. Fusce congue, eros eget commodo suscipit, pede urna porta orci, sed venenatis purus diam ac nunc. Quisque orci libero, mattis nec, sollicitudin ut, rhoncus sed, arcu.</p>
			<p>In hac habitasse platea dictumst. Vivamus eu lorem vitae diam laoreet ullamcorper. Aenean elementum fermentum felis. Nunc justo quam, convallis ac, porta eget, sagittis ac, velit. Sed magna purus, dapibus at, feugiat ut, semper id, velit. Nunc lectus diam, vehicula ut, varius at, ultrices at, sapien. Quisque pulvinar, tellus sit amet scelerisque interdum, massa purus accumsan sem, ac ornare magna orci non tortor. Vivamus bibendum mollis diam. Nulla tempor fringilla mi. In facilisis urna eu purus. Curabitur enim ligula, dictum sed, tincidunt ut, blandit quis, ipsum.</p>
			<p>Etiam scelerisque, tortor a consequat sagittis, tellus arcu semper tellus, non tincidunt pede eros ac tortor. Sed orci neque, molestie quis, sagittis a, mattis vel, tellus. Duis felis. Nulla et nisi. Ut non ligula. Nam eget eros. Pellentesque sit amet eros nec eros laoreet vestibulum. Proin ipsum erat, luctus id, consectetur vestibulum, egestas a, arcu. Vestibulum pharetra nisi sit amet ipsum. Morbi condimentum gravida ipsum. Morbi euismod feugiat quam. Morbi tempor, sem eu tempor feugiat, urna felis tempor ante, ac interdum augue augue in dolor. Quisque bibendum rutrum nisl. Pellentesque at leo sed tortor blandit faucibus. Nulla et orci. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce felis neque, commodo id, cursus a, laoreet id, tellus. Morbi nec nulla. Donec justo. Nulla egestas.</p>
			<p>Nam turpis ipsum, euismod ut, sagittis eget, commodo id, nulla. Integer nec pede nec ligula ornare congue. Duis urna tortor, dignissim eu, mollis ut, posuere at, tellus. Proin suscipit, dui eu vehicula suscipit, augue ante adipiscing risus, eu cursus turpis sapien vel ante. Mauris id augue ut tellus cursus elementum. Donec volutpat, dui ornare elementum egestas, ipsum magna scelerisque ligula, eget hendrerit sem mi nec diam. Sed justo. Praesent id lacus vestibulum pede ultricies accumsan. Praesent est velit, laoreet eget, facilisis rhoncus, fringilla ac, pede. Fusce eu enim. Aenean nunc.</p>
        </div>
    </form>
</body>
</html>
